Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.event
Class SessionEventDispatcher

    java.lang.Object
      org.jivesoftware.openfire.event.SessionEventDispatcher

    public class SessionEventDispatcher

extends Object

Dispatches session events. Each event has a `type`

Author:
  Matt Tucker

Nested Class Summary
`static class` | `SessionEventDispatcher.EventType` Represents valid event types.

Method Summary
`static void` | `addListener(SessionEventListener listener)` Registers a listener to receive events.
`static void` | `dispatchEvent(Session session, SessionEventDispatcher.EventType eventType)` Dispatches an event to all listeners.
`static void` | `removeListener(SessionEventListener listener)` Unregisters a listener to receive events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addListener

    public static void addListener(SessionEventListener listener)

  Registers a listener to receive events.

  Parameters:
    `listener` - the listener.

### removeListener

    public static void removeListener(SessionEventListener listener)

  Unregisters a listener to receive events.

  Parameters:
    `listener` - the listener.

### dispatchEvent

    public static void dispatchEvent(Session session,
                                     SessionEventDispatcher.EventType eventType)

  Dispatches an event to all listeners.

  Parameters:
    `session` - the session.
    `eventType` - the event type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.